FLANG

Public Member Functions | Friends | List of all members
Fortran::semantics::SubprogramDetails Class Reference

## Public Member Functions
bool | isFunction () const
bool | isInterface () const
void | set_isInterface (bool value=true)
Scope * | entryScope ()
const Scope * | entryScope () const
void | set_entryScope (Scope &scope)
MaybeExpr | bindName () const
void | set_bindName (MaybeExpr &&expr)
const Symbol & | result () const
void | set_result (Symbol &result)
const std::vector< Symbol * > & | dummyArgs () const
void | add_dummyArg (Symbol &symbol)
void | add_alternateReturn ()
const MaybeExpr & | stmtFunction () const
void | set_stmtFunction (SomeExpr &&expr)

## Friends
llvm::raw_ostream & | operator<< (llvm::raw_ostream &, const SubprogramDetails &)

The documentation for this class was generated from the following file:

- include/flang/Semantics/symbol.h